.calc {
	margin:48px 0;
}

.calc__section {
	padding: 16px 0 24px 0;
	width: 100%;	
	border-top:1px solid #acacac;
}


.calc__section-title {
	color: #ad5a55;
	font-size: 16px;
	font-weight: 900;
	margin-bottom: 23px;
}

.calc__inputs{
	display:flex;
	flex-wrap:wrap;
}

.calc__input{
	width:33.33%;
	padding-right:32px;
	box-sizing:border-box;
}
.calc__input_pattern{
	display:none;
}


.calc__input_multi{
	padding-right:164px;
	width:50%;
}
.calc__input-title{
	display:flex;
	
	color: #7f7f7f;
	font-weight: 800;
	font-size: 13px;	
}
.calc__input_active .calc__input-title{
	color:#000;
}
.calc__input-name{
	flex-grow:1;
}
.calc__input-name-value{	
}

.calc__input-required{
	white-space:nowrap;
	font-size: 11px;
	color: #ad5a55;
	font-weight:400;
}
.calc__input-cost {
	text-align:right;
}
.calc__input-cost{
	white-space:nowrap;
}
.calc__input-cost {

}
.calc__input-price {
	text-align:right;
}

.calc__input-multi{
	position:relative;
	display:flex;
}
.calc__input-value{
	margin-top:8px;
	width:100%;
	position:relative;	
}
.calc__select-value_open .calc__select-icon{
	transform:rotate(180deg);
}
.calc__select{	
	height:48px;
	display: flex;
	align-items: center;
	padding: 0 32px 0 8px;
	border: 1px solid #acacac;
	color: #7f7f7f;
	font-weight: 600;
	font-size: 16px;
	box-sizing:border-box;
	cursor:pointer;
}
.calc__select_error{
	border-color:#ff0000;
}
.calc__input-value_active .calc__select {
	color:#000;
}
.calc__select-value {
	box-shadow: 0 11px 26px -8px #646361;
	display: none;
	position: absolute; 
	width: 100%;
	background: #ffffff;
	z-index:1;
	padding:4px 0;
}

.calc__select-option {
	display: flex;
	align-items: center;
	padding: 8px 12px;
	font-weight: 400;
	font-size: 16px;
	transition: .3s ease;
	cursor: pointer;
	color:#000;
}

.calc__select-option:hover {
	background: #f5f3ee;
}

.calc__select-action{
	position:absolute;
	bottom:0px;
	right:-112px;
	width:112px;
	font-size:0;
	
}
.calc__select-btn{
	width:48px;
	height:48px;
	display:inline-block;
	vertical-align:top;
	margin:0 4px;
	border-radius:12px;
	cursor:pointer;
	font-size:24px;
	color:#fff;
	line-height:1;
	text-align:center;
	padding:12px 0;
	box-sizing:border-box;
	display:none;
}
.calc__select-btn_add{
	background:#ad5a55;
}
.calc__select-btn_remove{
	background:#d0d0d0;
}


.calc__select-icon {
	position: absolute;
	width:24px;
	height:24px;
	bottom: 12px;
	right: 16px;
	font-size: 24px;
	line-height: 24px;
	pointer-events:none;
	color:#ad5a55;
}

.calc__footer{
	display:flex;
	padding: 24px 0;
	width: 100%;	
	border-top:1px solid #acacac;
	border-bottom:1px solid #acacac;
}
.calc__footer-action{
	flex-grow:1;
}
.calc__order{
	color: #ffffff;
	background: #ad5a55;
	text-transform: uppercase;
	padding: 12px 48px;
	cursor: pointer;
	border-radius: 8px;
	display:inline-block;
}

.calc__footer-total {
    color: #ad5a55;
    font-size: 22px;
    font-weight: 900;
}
.calc__form{
	width:100%;
	max-width:416px;
}
@media screen and (min-width:1382px) {

}


@media screen and (min-width:1024px) and (max-width: 1382px) {

}


@media screen and (max-width: 1024px) {
	.calc__input{
		width:50%;
		margin: 16px 0;
	}
}


@media screen and (max-width: 768px) {
	.calc__input{
		width:100%;
		padding:0;
	}	
	.calc__input_multi{
		width:100%;
		padding-right: 112px;
		box-sizing: border-box;
	}
	
	.calc__footer{
		flex-direction:column-reverse;
		text-align:center;
	}
	.calc__footer-action{
		margin-top:16px;
	}
}